.video {
  padding: 0 !important;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  position: relative;
  z-index: 0;
}
.video .glassEffect {
  padding: 8rem 0;
  backdrop-filter: blur(5px);
}
.video::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(82, 82, 82, 0.5); /* Adjust the opacity as needed */
  z-index: 1;
}
.video > * {
  position: relative;
  z-index: 2;
  color: white;
}
.video h5 {
  text-transform: uppercase;
  font-weight: 500;
  color: #ffffff;
}
.video h2 {
  font-size: 3rem;
  text-transform: uppercase;
  font-weight: 800;
  line-height: 3.5rem;
  margin-bottom: 20px;
}

.video .openContentBtn {
  all: unset;
  position: relative;
  cursor: pointer;
  width: 170px;
  aspect-ratio: 1/1;
  background: radial-gradient(
      closest-side at 50% 50%,
      var(--brand-secondary-color-lighter) 48%,
      var(--brand-secondary-color) 100%
    )
    0% 0% no-repeat padding-box;
  border-radius: 100%;
  transition: all 0.3s ease-in-out;
}
.video .openContentBtn::before {
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 260px;
  aspect-ratio: 1/1;
  border: 2px solid #ffffff;
  opacity: 0.32;
  backdrop-filter: blur(2px);
  -webkit-backdrop-filter: blur(2px);
  border-radius: 100%;
  background-color: transparent;
}

.video .openContentBtn::after {
  content: '';
  position: absolute;
  top: calc(50% - 25px);
  left: calc(50% - 22.5px);
  width: 50px;
  aspect-ratio: 1/1;
  clip-path: polygon(0% 0%, 100% 50%, 0% 100%);
  background: #ffffff 0% 0% no-repeat padding-box;
  opacity: 1;
}
.video .openContentBtn:hover::after {
  background: #ffffff 0% 0% no-repeat padding-box;
  transform: scale(1.2);
  transition: all 0.3s ease-in-out;
}
.video .openContentBtn:hover::before {
  opacity: 0.5;
  width: 195px;
  transition: all 0.3s ease-in-out;
}

.video .contentPopup {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) scale(0);
  width: 90%;
  max-width: 900px;
  max-height: 80vh;
  background-color: white;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  overflow-y: auto;
  z-index: 1000;
  transition: transform 0.3s ease-in-out;
}
.video .contentPopup.active {
  transform: translate(-50%, -50%) scale(1);
}
.video .contentPopup-header {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
}
.video .contentPopup-header h3 {
  font-size: 1rem;
  line-height: unset;
  margin: 0;
}
.video .contentPopup .closeContentBtn {
  all: unset;
  position: absolute;
  top: 15px;
  right: 15px;
  cursor: pointer;
  width: 30px;
  height: 30px;
  background: transparent
    radial-gradient(
      closest-side at 50% 50%,
      var(--brand-secondary-color) 0%,
      var(--brand-secondary-color) 48%,
      var(--brand-secondary-color-lighter) 100%
    )
    0% 0% no-repeat padding-box;
  border-radius: 100%;
  z-index: 1001;
}
.video .contentPopup .closeContentBtn::before,
.video .contentPopup .closeContentBtn::after {
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  width: 16px;
  height: 2px;
  background-color: white;
  transform-origin: center;
}
.video .contentPopup .closeContentBtn::before {
  transform: translate(-50%, -50%) rotate(45deg);
}
.video .contentPopup .closeContentBtn::after {
  transform: translate(-50%, -50%) rotate(-45deg);
}
.video .contentPopup .contentPopup-inner {
  padding: 2rem;
  gap: 1rem;
  color: #333333;
}

@media (max-width: 768px) {
  .video h2 {
    font-size: 1.7rem;
    line-height: 2rem;
  }
}
